ワークフロー実行詳細を取得
対象アプリ:Chatflow、Workflow。
1 つのワークフロー実行のステータス、入力、出力、実行メトリクスを取得します。
curl --request GET \
--url https://{api_base_url}/workflows/run/{workflow_run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/workflows/run/{workflow_run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/workflows/run/{workflow_run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": 1705407629,
"elapsed_time": 1.23,
"error": null,
"finished_at": 1705407630,
"id": "fb47b2e6-5e43-4f90-be01-d5c5a088d156",
"inputs": "{\"query\": \"Translate this to French\"}",
"outputs": {
"result": "Traduisez ceci en francais"
},
"status": "succeeded",
"total_steps": 3,
"total_tokens": 150,
"workflow_id": "7c3e33d4-2a8b-4e5f-9b1a-d3c6e8f12345"
}{
"code": "not_workflow_app",
"message": "Please check if your app mode matches the right API route.",
"status": 400
}{
"code": "not_found",
"message": "Workflow run not found.",
"status": 404
}Authorizations
すべてのリクエストは API キーで認証します:Authorization: Bearer {API_KEY}。アプリのエンドポイントにはアプリの API キーを、ナレッジのエンドポイントにはナレッジベースの API キーを使用します(Dify API クイックスタート)。
キーはサーバーサイドで保管し、クライアントコードには決して埋め込まないでください。キーが欠落または無効なリクエストは HTTP 401(unauthorized)で失敗します。
Path Parameters
Response
ワークフロー実行の詳細の取得に成功しました。
ワークフロー実行が作成された Unix タイムスタンプです。
合計経過時間(秒)です。
ワークフローが失敗した場合のエラーメッセージです。
ワークフロー実行が完了した Unix タイムスタンプです。
ワークフロー実行 ID です。
ワークフロー実行の入力変数です。生の JSON 文字列として返されるため(例:{"query": "..."})、クライアント側でパースする必要があります。null の場合もあります。
ワークフローからの出力データです。出力がまだない場合は空のオブジェクトです。
ワークフローの実行ステータスです。running は実行中、succeeded は正常完了、failed は実行エラー、stopped は手動停止、partial-succeeded は一部のノードが成功し他が失敗、paused は人間の入力待ちを示します。
実行されたワークフローの合計ステップ数です。
消費された合計トークン数です。
Workflow ID.
Was this page helpful?
